- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ReaderWriter3DS.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/Texture2D>`
`#include <osg/Material>`
`#include <osg/TexEnv>`
`#include <osg/ref_ptr>`
`#include <osg/MatrixTransform>`
`#include <osgDB/Registry>`
`#include <osgDB/FileUtils>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/ReadFile>`
`#include <osgUtil/TriStripVisitor>`
`#include <osg/NodeVisitor>`
`#include "file.h"`
`#include "mesh.h"`
`#include "material.h"`
`#include "vector.h"`
`#include "matrix.h"`
`#include "node.h"`
`#include "quat.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <set>`
`#include <map>`
`#include <iostream>`

Include dependency graph for ReaderWriter3DS.cpp:

## Functions
void | pad (int level)
| These print methods for 3ds hacking.
void | print (Lib3dsMesh *mesh, int level)
void | print (Lib3dsUserData *user, int level)
void | print (Lib3dsNodeData *user, int level)
void | print (Lib3dsObjectData *object, int level)
void | print (Lib3dsNode *node, int level)
void | print (Lib3dsMatrix matrix, int level)
## Variables
osgDB::RegisterReaderWriterProxy< ReaderWriter3DS > | g_readerWriter_3DS_Proxy

## Function Documentation

void pad | ( | int | level | ) |

| These print methods for 3ds hacking.

void print | ( | Lib3dsMatrix | matrix,
|  | int | level
| ) |

void print | ( | Lib3dsNode * | node,
|  | int | level
| ) |

void print | ( | Lib3dsObjectData * | object,
|  | int | level
| ) |

void print | ( | Lib3dsNodeData * | user,
|  | int | level
| ) |

void print | ( | Lib3dsUserData * | user,
|  | int | level
| ) |

void print | ( | Lib3dsMesh * | mesh,
|  | int | level
| ) |

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriter3DS> g_readerWriter_3DS_Proxy